- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# QProcessEnvironment Class Reference

Search for all occurrences

## Detailed Description

Definition at line 68 of file qprocess.h.

`#include <qprocess.h>`

List of all members.

## Public Member Functions
| QProcessEnvironment ()
| QProcessEnvironment (const QProcessEnvironment &other)
| ~QProcessEnvironment ()
QProcessEnvironment & | operator= (const QProcessEnvironment &other)
bool | operator== (const QProcessEnvironment &other) const
bool | operator!= (const QProcessEnvironment &other) const
bool | isEmpty () const
void | clear ()
bool | contains (const QString &name) const
void | insert (const QString &name, const QString &value)
void | remove (const QString &name)
QString | value (const QString &name, const QString &defaultValue=QString()) const
QStringList | toStringList () const
## Static Public Member Functions
static QProcessEnvironment | systemEnvironment ()
## Friends
class | QProcessPrivate
class | QProcessEnvironmentPrivate

## Constructor & Destructor Documentation

QProcessEnvironment | ( |  | ) |

QProcessEnvironment | ( | const QProcessEnvironment & | other | ) |

~QProcessEnvironment | ( |  | ) |

## Member Function Documentation

QProcessEnvironment& operator= | ( | const QProcessEnvironment & | other | ) |

bool operator== | ( | const QProcessEnvironment & | other | ) | const

bool operator!= | ( | const QProcessEnvironment & | other | ) | const `[inline]`

Definition at line 77 of file qprocess.h.

        { return !(*this == other); }

bool isEmpty | ( |  | ) | const

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

bool contains | ( | const QString & | name | ) | const

Search for all occurrences

void insert | ( | const QString & | name,
|  | const QString & | value
| ) |  |

Search for all occurrences

void remove | ( | const QString & | name | ) |

Search for all occurrences

QString value | ( | const QString & | name,
|  | const QString & | defaultValue = `QString()`
| ) |  | const

Search for all occurrences

QStringList toStringList | ( |  | ) | const

Search for all occurrences

static QProcessEnvironment systemEnvironment | ( |  | ) | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QProcessPrivate `[friend]`

Search for all occurrences

Definition at line 93 of file qprocess.h.

friend class QProcessEnvironmentPrivate `[friend]`

Search for all occurrences

Definition at line 94 of file qprocess.h.

The documentation for this class was generated from the following file:

- QtCore/qprocess.h

QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment
QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment QProcessEnvironment